org.apache.flume.channel.file.encryption

## Class CipherProviderFactory

- java.lang.Object
- - org.apache.flume.channel.file.encryption.CipherProviderFactory

-     public class CipherProviderFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CipherProviderFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CipherProvider.Decryptor` | `getDecrypter(String cipherProviderType, Key key, byte[] parameters)`
    `static CipherProvider.Encryptor` | `getEncrypter(String cipherProviderType, Key key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CipherProviderFactory

          public CipherProviderFactory()

  - ### Method Detail

    - #### getEncrypter

          public static CipherProvider.Encryptor getEncrypter(String cipherProviderType,
                                              Key key)

    - #### getDecrypter

          public static CipherProvider.Decryptor getDecrypter(String cipherProviderType,
                                              Key key,
                                              byte[] parameters)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.